#!/bin/sh
if [ "$1" = "" ]; then
	DEV=/dev/ttyUSB20
else
	DEV=/dev/$1
fi

while true; do
	if [ -e "$DEV" ]; then
		break
	fi
	sleep 1
done

while true; do
	/usr/bin/ppp_talk -p "$DEV" --say "at+sysinfo\r" -e "(.*)/\1/-" | grep "OK"
	if [ $? -eq 0 ]; then
		break
	fi
	sleep 1
done


/usr/bin/ppp_talk -p "$DEV" --say "at+cgdcont=1,\"IP\",\"cmnet\"\r" -e "(.*)/\1/-"
/usr/bin/ppp_talk -p "$DEV" --say "at+cgact=1,1\r" -e "(.*)/\1/-"

while true; do
	/usr/bin/ppp_talk -p "/dev/ttyUSB20" --say "at+cgpaddr\r" -e "(.*)/\1/-" | grep "OK"
	if [ $? -eq 0 ]; then
		break
	fi
	sleep 1
done

exit 0

